Bug 98886 - x11-clocks/wmclock: correct year display, Thursday abbreviation
Summary: x11-clocks/wmclock: correct year display, Thursday abbreviation
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-06-13 01:40 UTC by Eric P. Scott
Modified: 2006-08-06 22:39 UTC (History)
0 users

See Also:


Attachments
file.diff (806 bytes, patch)
2006-06-13 01:40 UTC, Eric P. Scott
no flags Details | Diff
file.diff (457 bytes, patch)
2006-06-13 01:40 UTC, Eric P. Scott
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric P. Scott 2006-06-13 01:40:05 UTC
1. wmclock miscalculates the middle two digits of the year, e.g.
2006 displays as 2666.

2. date(1), ctime(3), strftime(3) abbreviate Thursday as Thu in
English locales.  wmclock uses THR instead.

Fix: files/patch-aa: Correct year display

files/patch-ab: Change THR to THU
How-To-Repeat: 1. run wmclock with the -year option.

2. Run wmclock on a Thursday.
Comment 1 Edwin Groothuis freebsd_committer 2006-06-13 01:44:10 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Eric P. Scott 2006-06-27 19:27:08 UTC
No feedback after two weeks.

http://www.freebsd.org/portmgr/policies_contributors.html#pr_timeout
Comment 3 Tilman Keskinoz freebsd_committer 2006-08-06 22:38:59 UTC
State Changed
From-To: feedback->closed

Committed, thanks!